<?php
session_start();
include '../conexion.php';
$subtotal=null;    
$dato=null;
$query1=null;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller</title> <link rel="icon" href="./icons/taller.png" type="image/png">
    <link rel="stylesheet" href="./sidemenu.css">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="./sidemenu.css">
    <!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>

<!-- Latest minified bootstrap js -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

</head>
<body  >
    <div class="wrapper">
        <main>    
            <!-- Encabezado -->
            <header>
                <!--<h1>Taller</h1>-->
                <?php include "includes/header2.php"; ?>
            </header>

            <!--<div id="sidemenu" class="menu-collapsed">-->
            <div id="sidemenu" class="menu-expanded">
                <!-- Header -->
                <div id="header">
                    <div id="title"><span></span> </div>
                    <div id="menu-btn">
                        <div class="btn-hamburger"></div>
                        <div class="btn-hamburger"></div>
                        <div class="btn-hamburger"></div>
                    </div>
                </div>
                <!--Profile-->
                <!--<div id="profile">
                    <div id="photo"><img src="img/user.png" alt=""></div>
                    <div id="name"><span><?php echo $_SESSION['nombre'];?></span></div>
                    <div id="name"><span><?php echo $_SESSION['iduser']." [ ".$_SESSION['user']." ] ";?></span></div>
                    <div id="name"><span><?php echo "Sucursal: ".$_SESSION['suc'];?></span></div>
                    <div id="name"><span> <?php echo "Rol: ".$_SESSION['rol'];?></span></div>
                </div>-->
                <!--Items-->
                <div id="menu-items">
                    <?php include './includes/navs3.php'?>
                </div>
            </div>

            <<div style="height:calc(100%); width:90%; padding-right:15px; padding-left:200px; margin-right:60px; margin-left:60px;">
    <div style="width:100%;">
        <table border="0" style="width:100%;">
        <tr>
                        <!-- Otros botones -->
                        <td style="text-align:right;width:25%">
                        <button class="btn btn-info btn-sm" onclick="actualizarPagina()">Actualizar <i class="fa-solid fa-arrows-rotate"></i></button>
                        <button style="margin-right:15px;" class="btn btn-success btn-sm" data-backdrop="static" data-keyboard="false" data-toggle="modal" data-target="#modalTraspaso"><i class="fa-solid fa-circle-plus"></i> Nuevo Traspaso</button>
                    
                <!--</td>
            </tr>
        <tr>
                        <td style="text-align:right;width:55%">-->
                        <!-- Campo de entrada y botón de búsqueda -->
                        <input ID="busqueda" type="text" style="width:200px;"placeholder="Captura dato a buscar" onkeydown="if (event.key === 'Enter') buscar()">
                        <button id="btnBusqueda" class="btn btn-primary btn-sm" type="button" onclick="buscar()"><i class="fa-solid fa-magnifying-glass"></i></button>
                        </td>
            </tr>                        

        </table>
        <div class="table-container" style="width:100%;heigth:100%">
                    <table border='0' style='width:100%;font-size:8pt;'>
                        <thead>
                            <tr>
                                <th style="width:5%;">id</th>
                                <th style="width:10%;">Fecha</th>
                                <th style="width:15%;">Movimiento</th>
                                <th style="width:25%;">Origen</th>
                                <th style="width:25;">Destino</th>
                                <!--<th style='text-align:center;'>Monto</th>-->
                                <th style="width:20%;">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                        $busq = filter_input(INPUT_GET, 'busqueda', FILTER_SANITIZE_STRING) ?: '';
                        $pagina = filter_input(INPUT_GET, 'pagina', FILTER_VALIDATE_INT) ?: 1;

                        $por_pagina = 15;
                        $desde = ($pagina - 1) * $por_pagina;

                        // Total registros
                        $query_total = "SELECT COUNT(*) as total_registros FROM datos_traspasos ";
                        $stmt = $connection->prepare($query_total);
                        //$likeBusq = "%{$busq}%";
                        //$stmt->bind_param("ss", $likeBusq, $likeBusq);
                        $stmt->execute();
                        $result = $stmt->get_result();
                        $total_registros = $result->fetch_assoc()['total_registros'];

                        $total_paginas = ceil($total_registros / $por_pagina);

                        // Consulta principal
                        //$query = "SELECT * FROM datos_traspasos WHERE medida like ? OR tipoUniforme LIKE ? ORDER BY orden ASC LIMIT ?, ?";
                        $query = "SELECT * FROM datos_traspasos ORDER BY fechaMov ASC LIMIT ?, ?";
                        $stmt = $connection->prepare($query);
                        $stmt->bind_param("ii", $desde, $por_pagina);
                        $stmt->execute();
                        $result = $stmt->get_result();

                        if ($result->num_rows > 0) {
                            while ($data = $result->fetch_assoc()) {
                                echo "<tr>
                                        <td style='text-align:left;padding-left:20px'>{$data['idmovimientosUni']}</td>
                                        <td style='text-align:left;padding-left:20px'>{$data['fechaMov']}</td>
                                        <td style='text-align:left;padding-left:20px'>" . htmlspecialchars($data['dato1'], ENT_QUOTES, 'UTF-8') . "</td>
                                        <td style='text-align:left;padding-left:20px'>" . htmlspecialchars($data['dato2'], ENT_QUOTES, 'UTF-8') . "</td>
                                        <td style='text-align:left;padding-left:20px'>" . htmlspecialchars($data['dato3'], ENT_QUOTES, 'UTF-8') . "</td>
                                        
                                        <td ><button title='Imprimir' onclick='imprimirMovimiento(this)' class='btn btn-success btn-sm' data-backdrop='static'  data-id='".$data['idmovimientosUni']."' data-keyboard='false' data-toggle='modal' data-target='#modalFormm'>Imprimir <i class='fa-solid fa-print'></i></button>    
                                            
                                        </td>
                                    </tr>";
                            }
                        }
                        ?>

                            <!-- Agrega más filas según sea necesario -->
                        </tbody>
                    </table>
                </div>
                <div class="paginador">
                    <ul><?php
                        $numeroInicio=1;
                        if($pagina!=1){
                        //$numeroInicio=1;
                        
                    ?>
                        
                        <li><a href="?pagina=<?php echo $numeroInicio?>&busqueda=<?php echo $busq?>"><i class="fa-solid fa-backward-fast"></i></a></li>
                        <!--<li><a href="?pagina=<?php /*echo $pagina-1*/?>"><<</a></li>-->
                        <?php 
                        }
                            if(($pagina-3)>1){
                                $numeroInicio=$pagina-3;
                            }
                            $numeroFin=$numeroInicio+4;
                            
                            if($numeroFin>$total_paginas){
                                $numeroFin=$total_paginas;
                            }
                            
                            for($i=$numeroInicio;$i<=$numeroFin;$i++){
                                if($i==$pagina){
                                    echo '<li class="pageSelected">'.$i.'</li>';
                                } else{
                                echo '<li><a href="?pagina='.$i.'&busqueda='.$busq.'">'.$i.'</a></li>';
                                }
                            }
                            if($pagina!=$total_paginas){
                                echo '<li><a href="?pagina='.$total_paginas.'&busqueda='.$busq.'"><i class="fa-solid fa-forward-fast"></i></a></li>';
                            }
                        ?>
                                        
                        
                    </ul>
                </div>
            </div>
            

            </div>


            




        </main>
            <!-- Pie de página -->
            <footer>
                <?php include "includes/footer.php"; ?>
            </footer>
    </div>
    <!-- Modal -->
<div class="modal fade" id="modalTraspaso" role="dialog" >
    <div class="modal-dialog" >
        <div class="modal-content" style="width:550px;">
            <!-- Modal Header -->
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel" style="font-size: 14px;" >Nuevo Traspaso</h4>
            </div>
            
            <!-- Modal Body -->
            <div class="modal-body" >
                <p class="statusMsg"></p>
                <form role="form">
				<table>
				
				<tr>
				
                
				<td style="text-align: left;width:10%;">
				
				<div class="form-group">
                        <label style="font-size: 12px;" for="fecha">Fecha:</label>
                        <input style="font-size: 12px;" type="date" class="form-control" id="fecha" />

                    </div>
				</td>

                <td style="text-align: left;width:35%;">
				
				<div class="form-group">
                        <label style="font-size: 12px;" for="origen">Sucursal Origen:</label>
                        <select style="font-size: 12px;"  class="form-control" id="origen" onchange="cargaDestino()">
                        <option value="0">--Selecciona--</option>
                        <!--<option value="1">TIJUANA</option>
                        <option value="2">ENSENADA</option>
                        <option value="3">MEXICALI</option>-->
                        <?php
                            if($_SESSION['suc']==1){
                                echo '<option value="1">TIJUANA</option>
                                <option value="2">ENSENADA</option>
                                <option value="3">MEXICALI</option>';
                            }else if($_SESSION['suc']==2){
                                echo '<option value="2">ENSENADA</option>';
                            }else if($_SESSION['suc']==3){
                                echo '<option value="3">MEXICALI</option>';
                            }
                        ?>
						</select>
                    </div>
				</td>

                <td style="text-align: left;width:35%;">
				
				<div class="form-group">
                        <label style="font-size: 12px;" for="destino">Sucursal Destino:</label>
                        <select style="font-size: 12px;"  class="form-control" id="destino" onchange="cargaDatos()">
                        <option value="0">--Selecciona--</option>
						</select>
                    </div>
				</td>

				</tr>
                            </table>
                
                            <div id="datosUniforme"><p>Selecciona fecha y sucursal para continuar</p></div>
                            
                    
                </form>
            </div>
            
            <!-- Modal Footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-default" onclick="javascript:window.location.reload()" data-dismiss="modal" >Cerrar</button>
                <button type="button" class="btn btn-primary submitBtn" onclick="guardarTraspaso()">GUARDAR</button>
            </div>
        </div>
    </div>
</div>


    <!-- Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <!-- Encabezado del modal -->
            <div class="modal-header">
                <h5 class="modal-title" id="deleteModalLabel">Confirmar Eliminación</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Cerrar"></button>
            </div>

            <!-- Cuerpo del modal -->
            <div class="modal-body">
                <p>¿Estás seguro de que deseas eliminar la entrega?</p>
                <p class="statusMsg"></p>

                <table class="table table-borderless">
    <tbody>
        <tr>
            <td>
                <label for="fechaE">Fecha Entrega:</label>
                <input style="text-align:center" disabled id="fechaE" type="date" class="form-control" />
            </td>
            <td>
                <label for="numEmp">Num Empl:</label>
                <input style="text-align:center" disabled id="numEmp" type="text" class="form-control" />
                <!-- Campo oculto para almacenamiento de ID -->
                <input id="idmovE" type="hidden" />
            </td>
        </tr>
        
        <tr>
            <td>
                <label for="empleado">Empleado:</label>
                <input disabled id="empleado" type="text" class="form-control" />
            </td>
        </tr>
        <tr>
            <td>
                <label for="ubicacion">Ubicación:</label>
                <input disabled id="ubicacion" type="text" class="form-control" />
            </td>
        </tr>
    </tbody>
</table>

            </div>

            <!-- Pie del modal -->
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" onclick="window.location.reload()" data-bs-dismiss="modal">Cerrar</button>
                <button type="button" class="btn btn-danger submitBtn" onclick="eliminar()">Eliminar</button>
            </div>
        </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="modalDevolucion" role="dialog" >
    <div class="modal-dialog" >
        <div class="modal-content" style="width:600px;">
            <!-- Modal Header -->
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span>
                    <span class="sr-only">Close</span>
                </button>
                <h4 class="modal-title" id="myModalLabel" style="font-size: 14px;" >Devolucion de Uniformes</h4>
            </div>
            
            <!-- Modal Body -->
            <div class="modal-body" >
                <p class="statusMsg"></p>
                <form role="form">
				<table>
				
				<tr>
                <td style="text-align: left;">
				
				<div class="form-group" style="width:80px;">
                        <label style="font-size: 12px;" for="idmov">Movimiento:</label>
                        <input disabled style="font-size: 12px;" type="text" class="form-control" id="idmov" />
                    </div>
				</td>
                
				
                

                <td style="text-align: left;">
				
				<div class="form-group" style="width:150px;">
                        <label style="font-size: 12px;" for="fechad">Fecha de Entrega:</label>
                        <input disabled style="font-size: 12px;" type="date" class="form-control" id="fechad" />
                    </div>
				</td>
                <td style="text-align: left;">
				
				<div class="form-group" style="width:150px;">
                        <label style="font-size: 12px;" for="sucursald">Sucursal:</label>
                        <select disabled style="font-size: 12px;"  class="form-control" id="sucursald">
                        <option value="0">--Selecciona--</option>
                        <option value="1">TIJUANA</option>
                        <option value="2">ENSENADA</option>
                        <option value="3">MEXICALI</option>
						</select>
                    </div>
				</td>

                <td style="text-align: left;">
				
				<div class="form-group" style="width:150px;">
                        <label style="font-size: 12px;" for="fechaDev">Fecha de Devolucion:</label>
                        <input style="font-size: 12px;" type="date" class="form-control" id="fechaDev" />
                    </div>
				</td>

				</tr>
                            </table>
                

                            
<table>
                <tr>
				<td colspan="2" style="text-align: left;">
				<div class="form-group">
                <label style="font-size: 12px;" for="empleadod">Empleado:</label>
                        <input disabled style="font-size: 12px;"  class="form-control" id="empleadod"></input>
                    </div>
				</td>
                        </tr>
				
				</table>
                
                <table class="table" id="tablaDinamicad" name="tablaDinamicad">
                <thead style="text-align:center">
                  <tr>
                    <!--<th style="font-size: 10px;width:10%;text-align:center">id</th>  -->
                    <th style="font-size: 10px;width:54%;padding-left:20px">Uniforme</th>
                    <th style="font-size: 10px;width:10%;text-align:center">Cantidad</th>
                    <th style="font-size: 10px;width:13%;text-align:center">Buen Edo</i></th>
                    <th style="font-size: 10px;width:13%;text-align:center">Mal Edo</th>
                    <th style="font-size: 10px;width:10%"></th>
                  </tr>
                </thead>
                
                <tbody>
                  <!-- Las filas se agregarán dinámicamente aquí -->
                </tbody>
                        
              </table>
              

              
              <script>
               $('#agregar').prop('disabled', true);

            // Función para eliminar una fila de la primera tabla
            function eliminarFilaTabla(btn) {
                $(btn).closest('tr').remove();
                calcularImporte(btn);
                
            }

</script>

                    
                </form>
            </div>
            
            <!-- Modal Footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-default" onclick="javascript:window.location.reload()" data-dismiss="modal" >Cerrar</button>
                <button type="button" class="btn btn-primary devolver" id="devolverbtn" onclick="devolver()">Devolver</button>
            </div>
        </div>
    </div>
</div>



    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script>
        const btn = document.querySelector('#menu-btn');
        const menu = document.querySelector('#sidemenu');
        $('.submitBtn').prop('disabled', true);
        btn.addEventListener('click', e => {
            menu.classList.toggle("menu-expanded");
            menu.classList.toggle("menu-collapsed");

            document.querySelector('body').classList.toggle('body-expanded')
        });
    

  

        function guardarTraspaso() {
            var origen = $('#origen').val();
            var destino = $('#destino').val();
            var fecha = $('#fecha').val();
            
            var datosTabla = [];

            // Recolectar datos de la tabla dinámica manualmente
            $('#tablaDinamica tbody tr').each(function() {
                var rowData = {};
                $(this).find('input, select').each(function() {
                    var key = $(this).attr('name');
                    var value = $(this).val();
                    if (key) rowData[key] = value;
                });
                datosTabla.push(rowData);
            });


            $('.submitBtn').prop('disabled', true);

            // Preparar datos para enviar 
            var datos = {
                origen: origen,
                destino:destino,
                fecha: fecha,
                datosTabla: JSON.stringify(datosTabla) // Convertir la tabla en JSON
            };

            // Enviar solicitud AJAX
            $.ajax({
                type: 'POST',
                url: 'guardar_traspaso.php', // Cambiar por tu ruta PHP 
                data: datos,
                success: function(response) {
                    //alert(response);
                    try {
                        var data = JSON.parse(response);
                        if (data.success) {
                            $('.statusMsg').html('<span style="color:green;">Entrega guardada exitosamente.</span>');
                            /*$('#modalTraspaso').modal('hide');
                            location.reload();*/
                            imprimirMovimientox(data.id);
                            
                        } else {
                            $('.statusMsg').html('<span style="color:red;">Error al guardar la Entrega: ' + data.message + '</span>');
                            $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                        }
                    } catch (e) {
                        $('.statusMsg').html('<span style="color:red;">Error al procesar la respuesta del servidor'+e.message+'.</span>');
                        $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                    }
                },
                error: function(xhr, status, error) {
                    $('.statusMsg').html('<span style="color:red;">Error en la solicitud: ' + error + '</span>');
                    $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                }
            });
        }

        function devolver(){
            var empleado = $('#empleado').val();
            var fecha = $('#fechaDev').val();
            var movimiento=$('#idmov').val();
            var sucursal=$('#sucursald').val();
            
            var datosTabla = [];

            // Recolectar datos de la tabla dinámica manualmente
            $('#tablaDinamicad tbody tr').each(function() {
                var rowData = {};
                $(this).find('input, select').each(function() {
                    var key = $(this).attr('name');
                    var value = $(this).val();
                    if (key) rowData[key] = value;
                });
                datosTabla.push(rowData);
            });

            // Validación de campos
            if (!fecha ) {
                $('.statusMsg').html('<span style="color:red;">La fecha es obligatoria.</span>');
                return;
            }

            

            $('.submitBtn').prop('disabled', true);

            // Preparar datos para enviar
            var datos = {
                empleado: empleado,
                fecha: fecha,
                movimiento:movimiento,
                sucursal:sucursal,
                datosTabla: JSON.stringify(datosTabla) // Convertir la tabla en JSON
            };

            // Enviar solicitud AJAX
            $.ajax({
                type: 'POST',
                url: 'guardar_devolucion.php', // Cambiar por tu ruta PHP 
                data: datos,
                success: function(response) {
                    
                    try {
                        var data = JSON.parse(response);
                        
                        if (data.success) {
                            $('.statusMsg').html('<span style="color:green;">Devolución generada exitosamente.</span>');
                            
                        } else {
                            $('.statusMsg').html('<span style="color:red;">Error al guardar la devolución: ' + data.message + '</span>');
                            $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                        }
                    } catch (e) {
                        $('.statusMsg').html('<span style="color:red;">Error al procesar la respuesta del servidor.</span>');
                        $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                    }
                },
                error: function(xhr, status, error) {
                    $('.statusMsg').html('<span style="color:red;">Error en la solicitud: ' + error + '</span>');
                    $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                }
            });
        }


function actualizarPagina() {
    //location.reload();
    const busqueda = "";
    
    // Define la página que deseas agregar (puedes cambiar este valor)
    const pagina = '1';
    // Obtén la URL actual
    let url = new URL(window.location.href);

    // Agrega o actualiza los parámetros "buscar" y "pagina"
    url.searchParams.set("busqueda", busqueda);
    url.searchParams.set("pagina", pagina);

    // Redirige a la URL modificada
    window.location.href = url.toString();
}


  


  
</script>

<script>
    function cargaDatos(){
        const origen = $('#origen').val();
        const destino = $('#destino').val();
        const fecha = $('#fecha').val();
        
            if (!origen) {
                alert('Por favor, selecciona un origen válido.');
                $('.submitBtn').prop('disabled', true);
                return;
            }

            
            if (!fecha) {
                alert('Por favor, selecciona una fecha.');
                $('#destino').val(0);
                $('.submitBtn').prop('disabled', true);
                return;
            }

            if(destino==0){
                $('#datosUniforme').html('');
                $('.submitBtn').prop('disabled', true);
            } else{
                const datox = 2;

                const formData = new FormData();
                formData.append('origen', origen);
                formData.append('destino', destino);
                formData.append('dato', datox);

                fetch('datosTraspasos.php', {
                    method: 'POST',
                    body: formData
                })
                    .then(response => {
                        if (!response.ok) {
                            throw new Error('Error en la solicitud');
                        }
                        return response.json();
                    })
                    .then(data => {
                        //const select = document.getElementById('destino');
                        if (data.data) {
                            $('#datosUniforme').html(data.data);
                            $('.submitBtn').prop('disabled', false);
                            //select.innerHTML = '<option value="0" selected>--Selecciona--</option>' + data.data;
                        } else {
                            //select.innerHTML = '<option value="0" selected>--Selecciona--</option>';
                            //console.error('No se encontraron supervisores en la respuesta.');
                        }
                    })
                    .catch(error => {
                        alert('Hubo un problema al cargar los supervisores. Revisa la consola para más detalles.');
                        console.error('Error al cargar los supervisores:', error);
                    });
            }

            
  }
  
  
  function cargaDestino() {
    const origen = $('#origen').val();

    if (!origen) {
        alert('Por favor, selecciona un origen válido.');
        return;
    }

    const datox = 1;

    const formData = new FormData();
    formData.append('origen', origen);
    formData.append('dato', datox);

    fetch('datosTraspasos.php', {
        method: 'POST',
        body: formData
    })
        .then(response => {
            if (!response.ok) {
                throw new Error('Error en la solicitud');
            }
            return response.json();
        })
        .then(data => {
            const select = document.getElementById('destino');
            if (data.data) {
                select.innerHTML = '<option value="0" selected>--Selecciona--</option>' + data.data;
            } else {
                select.innerHTML = '<option value="0" selected>--Selecciona--</option>';
                console.error('No se encontraron supervisores en la respuesta.');
            }
        })
        .catch(error => {
            alert('Hubo un problema al cargar los supervisores. Revisa la consola para más detalles.');
            console.error('Error al cargar los supervisores:', error);
        });
}
    </script>

<script>
$(document).on('click', '[data-target="#deleteModal"]', function () {
    // Capturamos el valor del atributo `data-id`
    var idMovimiento = $(this).data('id');
    //alert(idMovimiento);
    // Realizamos la solicitud AJAX
    $.ajax({
        type: 'POST',
        url: 'obtener_entrega.php', // Cambia esto por el nombre de tu archivo PHP
        data: { idfactura: idMovimiento },
        success: function(response) {
            //alert(response);
            try {
                var datax = JSON.parse(response); // Parsea la respuesta JSON

                // Asignamos los valores obtenidos a los campos del modal
                $('#deleteModal').find('#empleado').val(datax.empleado);
                $('#deleteModal').find('#idmovE').val(datax.idmov);
                $('#deleteModal').find('#fechaE').val(datax.fecha);
                $('#deleteModal').find('#ubicacion').val(datax.ubicacion);
                $('#deleteModal').find('#numEmp').val(datax.numEmp);
                
                // Abrimos el modal
                $('#deleteModal').modal('show');
                $('.submitBtn').prop('disabled', false);
            } catch (e) {
                console.error('Error procesando los datos del servidor: ', e);
                alert('Error al cargar los datos. Intente nuevamente.');
            }
        },
        error: function() {
            alert('Ocurrió un error al obtener los datos. Por favor, inténtelo más tarde.');
        }
    });
});


function eliminar() {
    var id = $('#idmovE').val();
    

    $('.submitBtn').prop('disabled', true);

    // Preparar datos para enviar
    var datos = {
        id: id
    };

    // Enviar solicitud AJAX
    $.ajax({
        type: 'POST',
        url: 'eliminar_entrega.php', // Cambiar por tu ruta PHP
        data: datos,
        success: function(response) {
            //alert(response);
            //exit();
            try {
                var data = JSON.parse(response);
                //alert(data.message)
                if (data.success) {
                    $('.statusMsg').html('<span style="color:green;">Factura eliminada exitosamente.</span>');
                    
                } else {
                    $('.statusMsg').html('<span style="color:red;">Error al eliminar la factura: ' + data.message + '</span>');
                    $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
                }
            } catch (e) {
                //$('.statusMsg').html('<span style="color:red;">Error al procesar la cancelacion .</span>');
                $('.statusMsg').html('<span style="color:red;">Error al eliminar la factura: ' + e + '</span>');
                $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
            }
        },
        error: function(xhr, status, error) {
            $('.statusMsg').html('<span style="color:red;">Error en la solicitud: ' + error + '</span>');
            $('.submitBtn').prop('disabled', false); // Reactivar botón si ocurre un error
        }
    });
}


function imprimirMovimiento(button) {
    // Obtener el ID desde el botón presionado
    var id = button.getAttribute('data-id');

    // Validar que el ID esté disponible
    if (!id || id.trim() === "") {
        alert("No se ha seleccionado un movimiento válido para imprimir.");
        return;
    }

    // Construir la URL con los parámetros
    var params = new URLSearchParams({ id: id });
    var url = 'imprimir_traspaso.php?' + params.toString();

    // Configuración de la ventana emergente
    var width = 800; // Ancho de la ventana
    var height = 600; // Altura de la ventana
    var left = (screen.width / 2) - (width / 2);
    var top = (screen.height / 2) - (height / 2);

    // Intentar abrir la ventana para imprimir
    try {
        var popup = window.open(url, 'Imprimir Inventario', `width=${width},height=${height},top=${top},left=${left}`);
        
        if (!popup || popup.closed || typeof popup.closed === 'undefined') {
            alert("Por favor, habilita las ventanas emergentes en tu navegador para continuar.");
        }
    } catch (error) {
        console.error("Error al intentar abrir la ventana de impresión:", error);
        alert("Ocurrió un error al intentar abrir la ventana de impresión. Por favor, inténtalo nuevamente.");
    }
}

function imprimirMovimientox(ccc) {
    // Obtener el ID desde el botón presionado
    var id = ccc;

    // Validar que el ID esté disponible
    if (!id ) {
        alert("No se ha seleccionado un movimiento válido para imprimir.");
        return;
    }

    // Construir la URL con los parámetros
    var params = new URLSearchParams({ id: id });
    var url = 'imprimir_traspaso.php?' + params.toString();

    // Configuración de la ventana emergente
    var width = 800; // Ancho de la ventana
    var height = 600; // Altura de la ventana
    var left = (screen.width / 2) - (width / 2);
    var top = (screen.height / 2) - (height / 2);

    // Intentar abrir la ventana para imprimir
    try {
        var popup = window.open(url, 'Imprimir Inventario', `width=${width},height=${height},top=${top},left=${left}`);
        
        if (!popup || popup.closed || typeof popup.closed === 'undefined') {
            alert("Por favor, habilita las ventanas emergentes en tu navegador para continuar.");
        }
    } catch (error) {
        console.error("Error al intentar abrir la ventana de impresión:", error);
        alert("Ocurrió un error al intentar abrir la ventana de impresión. Por favor, inténtalo nuevamente.");
    }
}

function buscar() {
    // Obtiene el valor del input con ID "busqueda"
    const busqueda = document.getElementById("busqueda").value;
    
    // Define la página que deseas agregar (puedes cambiar este valor)
    //const pagina = <?php echo isset($_GET['pagina']) ? json_encode($_GET['pagina']) : '1'; ?>;
    const pagina = '1';
    // Obtén la URL actual
    let url = new URL(window.location.href);

    // Agrega o actualiza los parámetros "buscar" y "pagina"
    url.searchParams.set("busqueda", busqueda);
    url.searchParams.set("pagina", pagina);

    // Redirige a la URL modificada
    window.location.href = url.toString();
}


function buscarx(){
        var busqueda=$('#busqueda').val();
        var pag = <?php echo isset($_GET['pagina']) ? json_encode($_GET['pagina']) : 'null'; ?>;
        if(busqueda.trim()==''){
            busqueda='EMPTY';
        }

		$.ajax({
			type:"POST",
			url:"facturab1.php",
			data: { busqueda: busqueda , pagina: pag  },
			success:function(r){
				$('#busqueda1').html(r);
			}
		});
	}


    $(document).on('click', '[data-target="#modalDevolucion"]', function () {
    // Capturamos el valor del atributo `data-id`
    var idMovimiento = $(this).data('id');
    var estatus = $(this).data('status');

    if(estatus=='1'){
        $('#devolverbtn').prop('disabled', true);
        $('#devolverbtn').prop('hidden', true);
    }

    // Realizamos la solicitud AJAX
    $.ajax({
        type: 'POST',
        url: 'obtener_entregac.php', // Cambia esto por el nombre de tu archivo PHP
        data: { idfactura: idMovimiento,estatus:estatus },
        success: function(response) {
            
            try {
                var data = JSON.parse(response); // Parsea la respuesta JSON
                // Asignamos los valores obtenidos a los campos del modal
                $('#modalDevolucion').find('#idmov').val(idMovimiento);
                $('#modalDevolucion').find('#empleadod').val(data.empleadox);
                $('#modalDevolucion').find('#sucursald').val(data.sucursal);
                $('#modalDevolucion').find('#fechad').val(data.fecha);
                
                $('#tablaDinamicad tbody').append(data.fila);
                //$('#modalDevolucion').find('#tabladinamicaw').html(data.fila);

                // Abrimos el modal
                $('#modalDevolucion').modal('show');
            } catch (e) {
                console.error('Error procesando los datos del servidor: ', e);
                alert('Error al cargar los datos. Intente nuevamente.');
            }
        },
        error: function() {
            alert('Ocurrió un error al obtener los datos. Por favor, inténtelo más tarde.');
        }
    });
});





</script>



</body>
</html>
